Bug 732458 - LVM RAID feature tracker
LVM RAID feature tracker
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
6.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Jonathan Earl Brassow
Corey Marthaler
: Tracking
Depends On: 593119 732449 732462 732466 732527 739162 748890 748908 749684 754271 758552 759567 785182
Blocks: 494837 729715 756082 852084
  Show dependency treegraph
 
Reported: 2011-08-22 10:27 EDT by Jonathan Earl Brassow
Modified: 2013-05-16 15:30 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
LVM RAID fully supported The expanded RAID support in LVM is now fully supported in Red Hat Enterprise Linux 6.3. LVM is now capable of creating RAID 4/5/6 logical volumes and supports mirroring of these logical volumes. The MD (software RAID) modules provide the backend support for these new features.
Story Points: ---
Clone Of:
: 852084 (view as bug list)
Environment:
Last Closed: 2013-05-16 15:30:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Earl Brassow 2011-08-22 10:27:00 EDT
This bug tracks the individual LVM RAID feature bugs.
Comment 1 Jonathan Earl Brassow 2011-08-22 10:28:27 EDT
Bug 732449 - RFE: LVM RAID - Support RAID1 up-convert
Comment 3 Jonathan Earl Brassow 2011-08-22 10:42:37 EDT
Bug 732462 - RFE: LVM RAID - Support RAID1 down-convert
Comment 4 Jonathan Earl Brassow 2011-08-22 11:18:45 EDT
Bug 732466 - RFE: LVM RAID - Support RAID1 split mirror
Comment 5 Jonathan Earl Brassow 2011-08-22 15:51:28 EDT
Bug 732527 - RFE: LVM RAID - Support RAID1 split mirror with change tracking
Comment 6 Jonathan Earl Brassow 2011-08-22 15:55:29 EDT
Bug 732531 - RFE: LVM RAID - Support RAID1 merge of LVs split from array with change tracking
Comment 7 Jonathan Earl Brassow 2011-08-31 12:42:36 EDT
Bug 593119 - RFE: LVM RAID - Handle transient failures of RAID1 images
Comment 8 Jonathan Earl Brassow 2011-09-16 12:05:35 EDT
Bug 739162 - RFE: LVM RAID - Support snapshot of RAID
Comment 9 Jonathan Earl Brassow 2011-10-25 10:52:51 EDT
Bug 748908 - RFE: LVM RAID - Support RAID device replacement
Comment 11 Jonathan Earl Brassow 2011-11-15 17:17:31 EST
Bug 748890 - DM RAID: devices specified for rebuild not undergoing recovery
Comment 12 Jonathan Earl Brassow 2011-11-15 17:18:18 EST
Bug 749684 - DM RAID reporting wrong status characters during resync/recovery operations
Comment 13 Jonathan Earl Brassow 2011-11-15 17:25:53 EST
Bug 754271 - DM RAID: 'rebuild' option not setting proper MD device flags
Comment 14 Jonathan Earl Brassow 2011-11-29 21:39:38 EST
Bug 758552 - RFE: LVM RAID - Handle device failures
Comment 18 Jonathan Earl Brassow 2012-03-06 12:01:45 EST
Putting this bug into MODIFIED while I wait for the subordinate bugs to be verified.
Comment 22 Jonathan Earl Brassow 2012-04-23 14:16:34 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Full Support for creating and managing RAID devices in LVM is available in RHEL6.3.
Comment 24 Martin Prpic 2012-05-21 04:26:41 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,2 @@
-Full Support for creating and managing RAID devices in LVM is available in RHEL6.3.+LVM RAID fully supported
+The expanded RAID support in LVM is now fully supported in Red Hat Enterprise Linux 6.3. LVM is now capable of creating RAID 4/5/6 logical volumes and supports mirroring of these logical volumes. The MD (software RAID) modules provide the backend support for these new features.
Comment 26 Jonathan Earl Brassow 2013-05-16 15:30:17 EDT
Closing this tracker bug.

Note You need to log in before you can comment on or make changes to this bug.